Purchase Wi Display to your extend devices

iOS

  • Requires iOS 5.1.1 or later.
  • Compatible with iPhone, iPad, iPod Touch.

Android

  • Requires Android 2.2 or later.
  • Compatible with Android Phone and Tablet devices.

Windows Phone

  • Requires Windows Phone 8.0 or later.
  • Compatible with Windows Phone and Tablet devices.

Mac OS

Requires Mac OS 10.7 or later.


Windows

Requires Windows 8.1 or later.